package com.kernelmaft.zanbur.ui

import androidx.compose.runtime.*
import com.kernelmaft.zanbur.common.*



fun createGroupsComposeState () : MutableState < List <Group> > {
	val groups : MutableState < List <Group> > = mutableStateOf ( emptyList () )

	AppState . subscribeToGroupAdded { newGroup , _ ->
		groups . value = groups . value . plus (newGroup)
	}
	AppState . subscribeToCurrentScene { group , newScene , source ->
		groups . value = groups . value . map { when ( it . id ) {
			group . id -> it . copy ( currentScene = newScene )
			else -> it
		} }
	}

	return groups
}
